=== debian/changelog ===
generatorrunner (0.3.3-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - Bump libgenrunner SONAME to 0.3.3
    - Bump apiextractor dependency to 0.3.3 (recommended by upstream).
  * Use 3.0 (quilt) format.

 -- Didier Raboud <didier@raboud.com>  Fri, 22 Jan 2010 16:56:56 +0100

generatorrunner (0.3.2-1) unstable; urgency=low

  * New upstream release.
    - Split out boostpythongenerator.
    - Remove fix_manpages.patch - Included upstream.
    - Bump libgenrunner SONAME to 0.3.2
    - Add libxslt-dev Build-Dependency
  * Add use_cmake_config_no_find.patch:
    - Don't ship buggy FindGeneratorRunner.cmake (it is shipped in the wrong
      directory and useless anyway).
    - Ship instead a home-brewn GeneratorRunnerConfig.cmake and other cmake
      specific configuration files
    + Many thanks to Modestas Vainius for his time and skills in helping me
      through this patch!

 -- Didier Raboud <didier@raboud.com>  Thu, 10 Dec 2009 00:23:35 +0100

generatorrunner (0.3.1-1) unstable; urgency=low

  * Initial Debian release (Closes: #543719)
    - Use the Ubuntu packaging as starting point.
    - Convert to dh7.
  * Follow upstream in renaming to generatorrunner.
  * debian/watch: Add.
  * debian/cmake.mk: Remove dirty workaround.
  * debian/control:
    - Update Depends to dh7
    - Update Maintainer to Debian Python Modules Team
    - Add myself to Uploaders
    - Add Homepage and Vcs-* fields
    - Update description
    - Produce multiple binary packages with the various sub-parts.
    - Let libgenrunner-dev depend on libapiextractor-dev (>= 0.3.1).
  * debian/copyright: Update.
  * debian/patches:
    - Add fix_manpages.patch to solve the hyphens-as-minus lintian info
    - Add quilt to Build-Depends.
    - Add README.source
  * Add a debugging package.
  * Bump Standards to 3.8.3

 -- Didier Raboud <didier@raboud.com>  Thu, 15 Oct 2009 11:38:29 +0200

boostpythongenerator (0.2-0ubuntu2) jaunty; urgency=low

  * Build for Ubuntu 9.04.
  * Remove unused header from docgenerator.cpp.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Tue, 18 Aug 2009 08:27:33 -0400

boostpythongenerator (0.2-0maemo1) unstable; urgency=low

  * Initial release.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 16 Jul 2009 09:34:42 -0400
