=== debian/changelog ===
generatorrunner (0.5.0-1maemo2) unstable; urgency=low

  * New release

 -- Luciano Miguel Wolf <luciano.wolf@openbossa.org>  Fri, 04 Jun 2010 14:15:35 -0300

generatorrunner (0.4.2-0maemo1) unstable; urgency=low

  * Maemo 5 build. 

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Tue, 04 May 2010 15:11:40 -0400

generatorrunner (0.4.2-0) unstable; urgency=low

  * New release
  * libgenrunner0 renamed to libgenrunner0.4 due to SOVERSION changes

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Mon, 03 May 2010 12:09:10 -0400

generatorrunner (0.4.0-0pyside0~ppa1) karmic; urgency=low

  * Reuse Debian packaging for Ubuntu (PPA) and Maemo builds.
  * Remove use_cmake_config_no_find.patch - Included upstream.
  * debian/source/format: downgrade to 1.0 format for karmic.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Wed, 24 Mar 2010 12:30:37 -0400

generatorrunner (0.3.3-0pyside0~ppa1) karmic; urgency=low

  [ Renato Filho ]
  * Final release 0.3.2

  [ Hugo Lima ]
  * [5f1029f] Remove white spaces at end of each line when formating
    injected code.
  * [7abd582] Fix macros about dllexport/dllimport.
  * [f94e3ab] Add proper compiler flags for msvc.
  * [0c1ef18] Install FindGenRunner.cmake and libgenrunner in the
    correct directory.
  * [01c2666] FindGeneratorRunner.cmake now respect the find_package
    REQUIRED attribute.
  * [04b6a05] Disable GENRUNNER_DEPRECATED macro when using msvc.
  * [302029e] Change the getGenerators signature, because on some
    platforms a function exported as a C function can't return a C++
    type by value. All generators plugins *MUST* be recompiled. Reviewed
    by Luciano Wolf <luciano.wolf@openbossa.org>

  [ Renato Filho ]
  * [0010455] Updated Changelog.
  * [9a434d3] Bump to version 0.3.3.

  [ Marcelo Lira ]
  * [6bdce6a] Improved Generator::replaceTemplateVariables method to
    avoid segfaults. Reviewed by Hugo Parente <hugo.lima@openbossa.org>

  [ Bruno dos Santos de Araujo ]
  * [bd98924] Add constraint to avoid index out-of-range errors
    Reviewer: Lauro Neto <lauro.neto@openbossa.org>

  [ Renato Filho ]

 -- Renato Araujo Oliveira Filho <renato.filho@openbossa.org>  Mon, 21 Dec 2009 15:18:59 -0300

generatorrunner (0.3.2-0pyside0~ppa1) unstable; urgency=low

  * First release after splitting boostpythongenerator.
  * Renaming source package

 -- Lauro Moura <lauro@openbossa.org>  Mon, 26 Oct 2009 20:28:36 -0300
