=== generators/CMakeLists.txt ===
add_subdirectory(qtdoc)
