=== debian/changelog ===
generatorrunner (0.6.0-1maemo1) unstable; urgency=low

  * New upstream release.

 -- Lauro Moura <lauro.neto@openbossa.org>  Mon, 02 Aug 2010 16:04:08 -0300
