=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: extra
 Maintainer: PySide Team <pyside@openbossa.org>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper7 (>= 7.3.12), libapiextractor-dev (>= 0.6.0), libqt4-dev (>= 4.5), cmake (>= 2.6.0), libxslt1-dev
+Build-Depends: debhelper7 (>= 7.3.12), libapiextractor-dev (>= 0.7.0), libqt4-dev (>= 4.5), cmake (>= 2.6.0), libxslt1-dev
 Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/generatorrunner/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/generatorrunner/?op=log
 Homepage: http://www.pyside.org/home-binding/binding-generator/
 
-Package: libgenrunner0.5
+Package: libgenrunner0.6
 Architecture: any
 Section: libs
-Conflicts: libgenrunner0 (<< $VERSION)
-Replaces: libgenrunner0 (<< $VERSION)
+Conflicts: libgenrunner0 (<< $VERSION), libgenrunner0.5
+Replaces: libgenrunner0 (<< $VERSION), libgenrunner0.5
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: generatorrunner (=${binary:Version})
 Description: generatorrunner dedicated library
@@ -25,7 +25,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.5 (= ${binary:Version}), libapiextractor-dev (>= 0.6.0), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.7.0), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.
@@ -62,7 +62,7 @@
 
 Package: generatorrunner-dbg
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.5 (>= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.6 (>= ${binary:Version})
 Section: debug
 Description: Debugging symbols for generatorrunner, and its brothers
  The Binding Generator is a utility that parses the headers for a given C/C++
