=== generators/CMakeLists.txt ===
if (NOT APIEXTRACTOR_DOCSTRINGS_DISABLED)
    add_subdirectory(qtdoc)
endif()
