=== debian/changelog ===
generatorrunner (0.6.1-0ubuntu1) maverick; urgency=low

  * New 0.6.1 upstream release (LP: #648612)
    - Apply manpages location changes.
    - Bump libapiextractor B-D to 0.8

 -- Didier Raboud <didier@raboud.com>  Mon, 27 Sep 2010 20:58:17 +0200

generatorrunner (0.6.0-1~exp0) experimental; urgency=low

  * New upstream 0.6.0 upstream release
    - Bump libgenrunner SONAME to 0.6
    - Update symbols and install files
    - Bump libapiextractor-dev B-D to >= 0.7.0

  * Build docs in binary-indep target.
  * Bump Standards to 3.9.1.0 without changes needed.

  * Uploading to experimental as we are in transition freeze.

 -- Didier Raboud <didier@raboud.com>  Sun, 08 Aug 2010 17:02:28 +0200

generatorrunner (0.5.0-1) unstable; urgency=low

  * New upstream 0.5.0 upstream release
    - Bump libgenrunner SONAME to 0.5
    - Bump libapiextractor-dev B-D to >= 0.6.0

  * Build -doc package with the sphinx-generated html docs, put it
    in section docs.

 -- Didier Raboud <didier@raboud.com>  Sun, 06 Jun 2010 16:39:23 +0200

generatorrunner (0.4.2-1) unstable; urgency=low

  * New upstream 0.4.2 upstream release
    - Bump libapiextractor-dev B-D to >= 0.5.1
    - Bump libgenrunner SONAME to 0.4
      (The soversion'ing changes with that release).

  * -dbg packages are priority extra.

 -- Didier Raboud <didier@raboud.com>  Thu, 06 May 2010 09:17:47 +0200

generatorrunner (0.4.0-2) unstable; urgency=low

  * debian/control:
    - Move to collab-maint' git: change Vcs-* and Maintainer fields.
    - Priority is optional.
    - Do some more polishing
  * Release to unstable

 -- Didier Raboud <didier@raboud.com>  Thu, 22 Apr 2010 17:47:18 +0200

generatorrunner (0.4.0-1) experimental; urgency=low

  * New 0.4.0 upstream release

  * Add symbols for libgenrunner0.4.0 with (c++) filter.
  * debian/rules
    - dh_install now lists missing files.
    - Allow parallel building
  * debian/control
    - Bump libgenrunner SONAME to 0.4.0
    - Drop boostpythongenerator references and recommends.
    - Bump Build-Depends on dpkg-dev (>= 1.15.6) for the (c++) symbols.
  * debian/patches
    - Drop use_cmake_config_no_find.patch: somehow merged upstream.
  * Bump Standards to 3.8.4 (no changes needed).

 -- Didier Raboud <didier@raboud.com>  Sun, 11 Apr 2010 14:37:47 +0200
