=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake --parallel $@

override_dh_strip:
	dh_strip --dbg-package=generatorrunner-dbg

override_dh_install:
	dh_install --list-missing \
	  -Xusr/share/man/man1/docgenerator.1 \
	  -Xusr/share/man/man1/generatorrunner.1

binary: binary-arch binary-indep;

binary-indep:
	make -C doc html
	rm -f doc/_build/html/_static/images/._*
	dh binary-indep
